aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.d
diff options
context:
space:
mode:
authorMike Makonnen <mtm@FreeBSD.org>2004-01-17 11:25:16 +0000
committerMike Makonnen <mtm@FreeBSD.org>2004-01-17 11:25:16 +0000
commite27b3ff8b6538c140e5a8d8aecf61b2ed3527672 (patch)
treebaf961a09f2753309620a1f85106153094a1ae9a /etc/rc.d
parente90a5063a4d1fee87496b53d921a590957e859b4 (diff)
downloadsrc-e27b3ff8b6538c140e5a8d8aecf61b2ed3527672.tar.gz
src-e27b3ff8b6538c140e5a8d8aecf61b2ed3527672.zip
Remove checks for the FreeBSD OS.
Notes
Notes: svn path=/head/; revision=124627
Diffstat (limited to 'etc/rc.d')
-rwxr-xr-xetc/rc.d/accounting24
-rwxr-xr-xetc/rc.d/apmd7
-rwxr-xr-xetc/rc.d/mountd36
-rw-r--r--etc/rc.d/moused7
4 files changed, 27 insertions, 47 deletions
diff --git a/etc/rc.d/accounting b/etc/rc.d/accounting
index 55c7529aa10e..7b07a9dc45b1 100755
--- a/etc/rc.d/accounting
+++ b/etc/rc.d/accounting
@@ -20,22 +20,16 @@ stop_cmd="accounting_stop"
accounting_start()
{
- case ${OSTYPE} in
- FreeBSD)
- _dir=`dirname "$accounting_file"`
- if [ ! -d `dirname "$_dir"` ]; then
- if ! mkdir -p "$_dir"; then
- warn "Could not create $_dir."
- return 1
- fi
+ _dir=`dirname "$accounting_file"`
+ if [ ! -d `dirname "$_dir"` ]; then
+ if ! mkdir -p "$_dir"; then
+ warn "Could not create $_dir."
+ return 1
fi
- if [ ! -e "$accounting_file" ]; then
- touch "$accounting_file"
- fi
- ;;
- *)
- ;;
- esac
+ fi
+ if [ ! -e "$accounting_file" ]; then
+ touch "$accounting_file"
+ fi
if [ ! -f ${accounting_file} ]; then
echo "Creating accounting file ${accounting_file}"
diff --git a/etc/rc.d/apmd b/etc/rc.d/apmd
index e2d4af52cd1f..2442fe12b8c1 100755
--- a/etc/rc.d/apmd
+++ b/etc/rc.d/apmd
@@ -14,12 +14,7 @@
name="apmd"
rcvar=`set_rcvar`
command="/usr/sbin/${name}"
-
-case ${OSTYPE} in
-FreeBSD)
- start_precmd="apmd_prestart"
- ;;
-esac
+start_precmd="apmd_prestart"
apmd_prestart()
{
diff --git a/etc/rc.d/mountd b/etc/rc.d/mountd
index aa47294462d2..568e6fe352a1 100755
--- a/etc/rc.d/mountd
+++ b/etc/rc.d/mountd
@@ -19,28 +19,24 @@ extra_commands="reload"
mountd_precmd()
{
- case ${OSTYPE} in
- FreeBSD)
- if ! checkyesno rpcbind_enable && \
- ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
- then
- force_depend rpcbind || return 1
- fi
+ if ! checkyesno rpcbind_enable && \
+ ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
+ then
+ force_depend rpcbind || return 1
+ fi
- # mountd flags will differ depending on rc.conf settings
- #
- case ${nfs_server_enable} in
- [Yy][Ee][Ss])
- if checkyesno weak_mountd_authentication; then
- mountd_flags="${mountd_flags} -n"
- fi
- ;;
- *)
- if checkyesno mountd_enable; then
- checkyesno weak_mountd_authentication && mountd_flags="-n"
- fi
- esac
+ # mountd flags will differ depending on rc.conf settings
+ #
+ case ${nfs_server_enable} in
+ [Yy][Ee][Ss])
+ if checkyesno weak_mountd_authentication; then
+ mountd_flags="${mountd_flags} -n"
+ fi
;;
+ *)
+ if checkyesno mountd_enable; then
+ checkyesno weak_mountd_authentication && mountd_flags="-n"
+ fi
esac
rm -f /var/db/mountdtab
( umask 022 ; > /var/db/mountdtab )
diff --git a/etc/rc.d/moused b/etc/rc.d/moused
index d926f3c489d1..ffca620c6c96 100644
--- a/etc/rc.d/moused
+++ b/etc/rc.d/moused
@@ -13,12 +13,7 @@
name=moused
rcvar=`set_rcvar`
command="/usr/sbin/${name}"
-
-case ${OSTYPE} in
-FreeBSD)
- start_cmd="moused_start"
- ;;
-esac
+start_cmd="moused_start"
moused_start()
{